package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.SQLObjectImpl;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class SQLAlterTableEnableConstraint extends SQLObjectImpl implements SQLAlterTableItem {
   private SQLName constraintName;
   private Boolean check;

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.constraintName);
      }

      visitor.endVisit(this);
   }

   public SQLName getConstraintName() {
      return this.constraintName;
   }

   public void setConstraintName(SQLName constraintName) {
      this.constraintName = constraintName;
   }

   public Boolean getCheck() {
      return this.check;
   }

   public void setCheck(Boolean check) {
      this.check = check;
   }
}
